gnushogi (1.4.2-4) unstable; urgency=medium

  * Don't ignore failures from sub-makes (Closes: #901539)

 -- Yann Dirson <dirson@debian.org>  Sun, 12 Aug 2018 14:39:58 +0200

gnushogi (1.4.2-3) unstable; urgency=medium

  * Switch to source format 3.0 (quilt).
  * Bumped Standards-Version to 3.9.5, no change.
  * Change menu entries to use Curses mode.
  * Add "Shogi" hint to menu entries.
  * Ensure any pattern.inc is removed in "clean".

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 20:37:07 +0100

gnushogi (1.4.2-2) unstable; urgency=medium

  * Switch back from cdbs to dh.
  * Add Vcs control fields.

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Feb 2014 00:23:22 +0100

gnushogi (1.4.2-1) unstable; urgency=medium

  * New upstream release, does not include xshogi any more.  Dropped
    buil-deps on X stuff, flex and bison.

 -- Yann Dirson <dirson@debian.org>  Mon, 17 Feb 2014 21:42:17 +0100

gnushogi (1.4.1-2) unstable; urgency=low

  * Set LIBDIR and friends at compile-time, so we look for opening book in
    the location we install it to.
  * Move opening book location into /usr/lib/games/gnushogi/.

 -- Yann Dirson <dirson@debian.org>  Thu, 06 Feb 2014 22:51:04 +0100

gnushogi (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Jan 2014 21:59:11 +0100

gnushogi (1.4.1~rc1-1) unstable; urgency=low

  * New upstream prerelease.
    * No need for texi2hml any more, adjust packaging for new html filenames.
    * Fixes most "implicit declarations" caught by build log scanner.
  * Fix debian/watch to declare version=3, so version mangling works as
    expected.

 -- Yann Dirson <dirson@debian.org>  Wed, 18 Dec 2013 22:15:57 +0100

gnushogi (1.4.1~rc0-1) unstable; urgency=low

  * New upstream prerelease.
  * All patches integrated upstream, dropped.
  * Adjusted rules for building minishogi, now selectable using configure
    flag.
  * Activate --enable-xshogi (disabled by default in 1.4.0) and
    --with-curses (just to be sure).
  * No need to override paths to pattern files any more.
  * Explicitly build HTML docs, not in upstream tarball any more.
    Build-depend on texi2hml for this.
  * Update debian/watch to see prerelease snapshots.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Dec 2013 22:48:45 +0100

gnushogi (1.3.2-10) unstable; urgency=low

  * Fix mini-Shogi out-of-bounds access (H.G. Muller).
  * Add a patch to honor LDFLAGS, so ld can be told to use relro.
  * Bumped Standards-Version to 3.9.4, no change.
  * Switched to debhelper 9.

 -- Yann Dirson <dirson@debian.org>  Mon, 30 Sep 2013 00:36:48 +0200

gnushogi (1.3.2-9) unstable; urgency=low

  * Add the single new patch of interest to us that 1.4.0 brings upstream,
    fixing a buffer overflow in InputCommand.
  * Fix command for building info file (Closes: #645864)
  * Add a debian/watch to prevent the "-latest" symlink from hiding the real
    latest version.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 May 2012 23:16:13 +0200

gnushogi (1.3.2-8) unstable; urgency=low

  * Fixed Homepage field in debian/control, to point to the caltech site
    which appears to be more reliable.
  * Improve package short descriptions (lintian).
  * New patch to deal with -Wformat-security (Closes: #643572):
    22-format-string.patch.
  * New set of patches to improve MiniShogi player and fix it with
    some (read) buffer overflows which surely did not make it stronger.
    Buffer overflow detected by hardening flags and induced all this work.
  * Explicitly declare source format 1.0.
  * Bumped Standards-Version to 3.9.2, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 29 Sep 2011 00:15:34 +0200

gnushogi (1.3.2-7) unstable; urgency=low

  * Reworked extended descriptions.
  * Wrapped long lines in debian/rules for clarity.
  * Build gnushogi in its own BUILD-std subdir.
  * Activate build of the gnuminishogi binary, ship it in its own package.
  * Added myself to the debian/copyright*.
  * Dropped leftover .pc/ from source package.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 05 Sep 2009 17:52:17 +0200

gnushogi (1.3.2-6) unstable; urgency=low

  * New maintainer.
  * Switch packaging to cdbs + simple-patchsys.
  * Dropped special handling of config.*, now handled by cdbs.
  * Factorize common install options.
  * Include my fixes+minishogi patch series (do not activate minishogi
    build yet):
    * 04-errno-fix.patch - Errno mis-redifinition.
    * 03-proto-fix.patch - Fix a function prototype.
    * 05-ai-overflow.patch - Integer overflow possibly handicaping the AI.
    * 06-fix-runnaway.patch - Avoid eating 100% CPU on Ctrl-C.
    * 10-out-of-tree.patch - Allow building out of source tree
    * 11-refactor-enums.patch - Use enums.
    * 12-refactor-constants.patch - Parametrize more hardcoded contants.
    * 13-refactor-statify.patch - Statify functions when possible.
    * 14-internals-doc.patch - Document some internal APIs.
    * 20-minishogi.patch - Initial minishogi support.
    * 21-gen-patterns.patch - Generate patterns.inc at build time.
  * Adjust 21-gen-patterns.patch not to cause removal of patterns.inc,
    since that confuses the patch system at clean-time.
  * Save patterns.inc before building and resture it on clean, to avoid
    spurious diffs.
  * Build-depend on x11-utils instead of the obsolete xutils (lintian).
  * Fixed "X Windows" typo in xshogi extended description.
  * Make gnushogi suggest tagua as an alternative frontend.
  * Reword gnushogi extended description to emphasize that the preferred
    way to use it is through a graphical frontend.
  * Remove mention to the Internet Shogi Server in xshogi description,
    since that support was removed long ago upstream.

 -- Yann Dirson <dirson@debian.org>  Thu, 20 Aug 2009 01:52:26 +0200

gnushogi (1.3.2-5) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Aug 2009 01:21:52 +0200

gnushogi (1.3.2-4) unstable; urgency=low

  * Reverting config.guess and config.sub to upstream.
  * Upgrading package to debhelper 7.
  * Upgrading package to standards 3.8.0.
  * Adding vcs fields in control file.
  * Removing watch file.
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Updating package to standards 3.8.2.
  * Sorting depends.
  * Rewriting copyright file in machine-interpretable format.
  * Adding longtitle and description fields in menu files.
  * Using quilt rather than dpatch.
  * Minimizing rules file.
  * Wrapping build-depends.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 08:34:18 +0200

gnushogi (1.3.2-3) unstable; urgency=low

  * Bumped policy version.
  * Using new homepage field in control.
  * Fixed typo in abstract of doc-base.
  * Don't hide make errors in clean target of rules.
  * Added patch from Stijn van Drongelen <tinctorius@gmail.com> to fix
    segfault in gnushogi when asking for help (Closes: #434139).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 15:34:00 +0100

gnushogi (1.3.2-2) unstable; urgency=medium

  * Added patch from Rene Mayorga <rmayorga@debian.org.sv> to add missing
    header entries to the info file (Closes: #422032).

 -- Daniel Baumann <daniel@debian.org>  Thu, 05 Jul 2007 14:50:00 +0200

gnushogi (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Minor cleanups.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 12:46:00 +0200

gnushogi (1.3-9) unstable; urgency=medium

  * really using -O0 on alpha to workaround FTBFS (Closes: #393075).

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Oct 2006 14:31:00 +0200

gnushogi (1.3-8) unstable; urgency=medium

  * using -O0 on alpha to workaround FTBFS (Closes: #393075).

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 Oct 2006 19:58:00 +0200

gnushogi (1.3-7) unstable; urgency=low

  * New maintainer (Closes: #321334).
  * Redone debian directory based on current debhelper templates.
  * Using dpatch for upstream modifications now.
  * Added .desktop from ubuntu.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Sep 2006 09:41:00 +0200

gnushogi (1.3-6) unstable; urgency=low

  * QA upload
  * Change build-depends on libxaw8 to 7 to comply with XSF plans

 -- David Nusinow <dnusinow@debian.org>  Sun, 26 Mar 2006 19:48:09 -0500

gnushogi (1.3-5) unstable; urgency=low

  * QA upload.
  * Versions 1.3-3.1 and earlier used non-standard code for the /usr/doc
    transition that didn't remove the symlink on upgrades; remove it in
    the preinst.  Closes: #338060.
  * debian/copyright: Update FSF address.

 -- Matej Vela <vela@debian.org>  Mon, 23 Jan 2006 08:42:16 +0100

gnushogi (1.3-4) unstable; urgency=high

  * QA upload.
  * Package is orphaned (see #321334); set maintainer to Debian QA Group.
  * gnushogi/genmove.c: Fix conflicting declarations for gcc 4.0; thanks to
    Andreas Jochens for the patch.  Closes: #286876.
  * Update X11 build dependencies.
  * Switch to debhelper.
  * doc/gnushogi.texinfo: Add directory entry for dh_installinfo.
  * gnushogi/Makefile.in, xshogi/Makefile.in: Leave stripping to dh_strip
    (which honors DEB_BUILD_OPTIONS=nostrip).
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Remove support for DEB_BUILD_OPTIONS=debug.
    - Leave HTML files uncompressed.
  * debian/copyright: Update upstream URL.
  * debian/doc-base: Add.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Mon, 22 Aug 2005 10:16:33 +0200

gnushogi (1.3-3.1) unstable; urgency=low

  * NMU
   - Minimal testing done and looks quite OK (even if I don't know
     how to play the game...)
   - Build-Depends move from libxaw-dev to libxaw6-dev (Closes: #169975)
   - Included errno.h in gnushogi which makes the binary build properly
     now (and is usable with xshogi) (Closes: #226319)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 09 Jan 2004 16:06:59 +0100

gnushogi (1.3-3) unstable; urgency=high

  * Added build dependency on xutils, flex, and bison.
    (Closes: Bug#147134)

 -- Brian Mays <brian@debian.org>  Thu, 16 May 2002 06:16:58 -0400

gnushogi (1.3-1) unstable; urgency=high

  * New upstream version.  (Closes: Bug#139722)

 -- Brian Mays <brian@debian.org>  Wed, 15 May 2002 15:12:32 -0400

gnushogi (1.2p03-14) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 11:16:42 -0500

gnushogi (1.2p03-13) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.
  * Removed icon="none" from menu file.
  * Improved the package description.

 -- Brian Mays <brian@debian.org>  Sun, 03 Feb 2002 13:23:19 -0500

gnushogi (1.2p03-12) unstable; urgency=low

  * Removed "-g" gcc option as per policy.

 -- Brian Mays <brian@debian.org>  Mon, 16 Jul 2001 19:38:15 -0400

gnushogi (1.2p03-11) unstable; urgency=low

  * Fixed typo in the debian/rules file causing the changelog file to
    be suid root.  (Closes: Bug#74461)

 -- Brian Mays <brian@debian.org>  Tue, 17 Oct 2000 13:07:48 -0400

gnushogi (1.2p03-10) frozen unstable; urgency=low

  * Added build-time dependencies.

 -- Brian Mays <brian@debian.org>  Mon, 17 Jan 2000 13:42:43 -0500

gnushogi (1.2p03-9) unstable; urgency=low

  * Fixed FHS /usr/doc -> /usr/share/doc transition scheme.

 -- Brian Mays <brian@debian.org>  Fri, 01 Oct 1999 13:06:12 -0400

gnushogi (1.2p03-8) unstable; urgency=low

  * Moved the doc and man data directories to under /usr/share as per
    the FHS.

 -- Brian Mays <brian@debian.org>  Thu, 16 Sep 1999 15:53:03 -0400

gnushogi (1.2p03-7) unstable; urgency=low

  * Rebuilt to account for name change in package libncurses4.

 -- Brian Mays <brian@debian.org>  Sun, 01 Nov 1998 13:53:58 -0500

gnushogi (1.2p03-6) unstable; urgency=low

  * Libc6 release.

 -- Brian Mays <brian@debian.org>  Tue, 05 Aug 1997 17:05:18 -0400

gnushogi (1.2p03-5) frozen unstable; urgency=low

  * Fixed Debian menu support.

 -- Brian Mays <brian@debian.org>  Wed, 28 May 1997 15:36:13 -0400

gnushogi (1.2p03-4) unstable; urgency=low

  * Added Debian menu support.

 -- Brian Mays <brian@debian.org>  Sat, 19 Apr 1997 19:24:09 -0400

gnushogi (1.2p03-3) unstable; urgency=low

  * Renamed /usr/doc/gnushogi/CHANGES to changelog.
  * Slightly modified the package description (Bug #6883).

 -- Brian Mays <brian@debian.org>  Tue, 28 Jan 1997 10:58:55 -0500

gnushogi (1.2p03-2) unstable; urgency=low

  * First release with the new source format.

 -- Brian Mays <brian@debian.org>  Fri, 23 Aug 1996 23:28:22 -0400
